Loading...
Searching...
No Matches
ARC_HashtableNode Struct Reference

`#include <hashtable.h>`

## Data Fields

void * | key
size_t | keysize
void * | data
ARC_HashtableNode * | node

## Detailed Description

Definition at line 20 of file hashtable.h.

## Field Documentation

## data

void* ARC_HashtableNode::data

Definition at line 24 of file hashtable.h.

## key

void* ARC_HashtableNode::key

Definition at line 21 of file hashtable.h.

## keysize

size_t ARC_HashtableNode::keysize

Definition at line 22 of file hashtable.h.

## node

ARC_HashtableNode* ARC_HashtableNode::node

Definition at line 25 of file hashtable.h.

The documentation for this struct was generated from the following file:

- /home/herbglitch/programs/archeus/arc/include/arc/std/hashtable.h